
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%global _find_debuginfo_dwz_opts %{nil}
%else
%global debug_package   %{nil}
%endif


%global provider        github
%global provider_tld    com
%global project         coreos
%global repo            flannel
%global project_dir     %{provider}.%{provider_tld}/%{project}
%global src_project_dir src/%{project_dir}
%global src_flannel_dir %{src_project_dir}/%{repo}
%global provider_prefix %{project_dir}/%{repo}
%global import_path     %{provider_prefix}


Name:           flannel
Version:        0.11.0
Release:        4%{?dist}
Summary:        Etcd address management agent for overlay networks
License:        ASL 2.0
Group:          System/Management
URL:            https://%{provider_prefix}
Vendor:         Oracle America
Source0:        %{name}-%{version}.tar.bz2


BuildRequires:      golang >= 1.13.15

Requires:     net-tools
Requires:     iproute
Requires:     iptables
Requires:     ca-certificates

%description
Flannel is an etcd driven address management agent. Most commonly it is used to
manage the ip addresses of overlay networks between systems running containers
that need to communicate with one another.

%prep
%setup -q -n %{repo}-%{version}

find . -name "*.go" \
       -print |\
              xargs sed -i 's/github.com\/coreos\/flannel\/Godeps\/_workspace\/src\///g'


%build
mkdir -p %{src_project_dir}
ln -s ../../../ %{src_flannel_dir}

export GOPATH=$(pwd):$(pwd)/Godeps/_workspace:%{gopath}

%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -linkmode=external" -a -v -x %{?**};
%gobuild -o bin/flanneld %{import_path}

%install
install -D -p -m 755 bin/flanneld %{buildroot}/opt/bin/flanneld
install -D -p -m 755 dist/mk-docker-opts.sh %{buildroot}/opt/bin/mk-docker-opts.sh
install -d -m 0755 %{buildroot}/run/%{name}/


%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc CONTRIBUTING.md MAINTAINERS README.md DCO NOTICE
/opt/bin/flanneld
/opt/bin/mk-docker-opts.sh
%dir /run/%{name}/


%changelog
* Mon Oct 12 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 0.11.0-4
- add ol8 support

* Thu Oct 17 2019 Murali Annamneni <murali.annamneni@oracle.com> 0.11.0-3
- Added THIRD_PARTY_LICENSES.txt

* Wed Oct 16 2019 Murali Annamneni <murali.annamneni@oracle.com> 0.11.0-2
- CVE-2019-16276 fix (bumpup golang to 1.12.10)

* Mon Aug 05 2019 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 0.11.0-1
- Release of flannel-0.11.0-1
